<?php

namespace domain\User\UserUserGroup;

use domain\User\User\User;
use domain\_\AbstractRepository;

class UserUserGroupRepository extends AbstractRepository
{
    protected UserUserGroupRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->loadQuery(UserUserGroupRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            self::WITH => [],
            self::JOIN_WITH => [],
            self::ORDER_BY => '',
            self::ATTRIBUTE_ID_PRODUCER => ''
        ];
    }

    public function findUserUserGroupsByUser(User $user)
    {
        return $this->createDefaultQuery()
            ->filterByUser($user)
            ->find();
    }
}